Bug 192964 - Add JSCOnly to bot dashboard
Summary: Add JSCOnly to bot dashboard
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-20 17:22 PST by Michael Catanzaro
Modified: 2019-01-02 10:20 PST (History)
8 users (show)

See Also:


Attachments
Patch (59.35 KB, patch)
2018-12-20 17:43 PST, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2018-12-20 17:22:43 PST
Add JSCOnly to bot watcher's dashboard
Comment 1 Michael Catanzaro 2018-12-20 17:43:57 PST
Created attachment 357910 [details]
Patch
Comment 2 Alexey Proskuryakov 2018-12-20 19:40:26 PST
Comment on attachment 357910 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=357910&action=review

> Tools/ChangeLog:12
> +        There appear to be no build-only bots, so the first column is blank. And of course there are

Maybe I’m misunderstanding what you are saying, but shouldn’t build only bots be in the first column? That’s where iOS device builder is, for example.
Comment 3 Michael Catanzaro 2018-12-20 19:50:37 PST
There apparently aren't any build-only bots. All the JSCOnly bots run tests.

(Except for the EWS, which are build-only, but all EWS go in the fourth column anyway.)
Comment 4 Michael Catanzaro 2018-12-20 19:51:57 PST
BTW if anyone doesn't like the squirrelfish logo, please suggest another, because it was really hard to come up with a logo to use for this port!
Comment 5 Alexey Proskuryakov 2018-12-20 21:08:35 PST
Comment on attachment 357910 [details]
Patch

I see what you are saying now.
Comment 6 WebKit Commit Bot 2018-12-21 09:57:58 PST
Comment on attachment 357910 [details]
Patch

Clearing flags on attachment: 357910

Committed r239507: <https://trac.webkit.org/changeset/239507>
Comment 7 WebKit Commit Bot 2018-12-21 09:58:00 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2018-12-21 10:01:40 PST
<rdar://problem/46902750>
Comment 9 Michael Catanzaro 2018-12-26 13:11:45 PST
Does this require a buildbot reset to take effect?
Comment 10 Lucas Forschler 2019-01-02 10:20:01 PST
it does not, but I've updated the source. (looking it to why it didn't auto-update)